%define api 1.0
%define major 0
%define libname %mklibname usb %{api} %{major}
%define devellibname %mklibname -d usb %{api}
%define sdevellibname %mklibname -s -d usb %{api}

Summary:	A library which allows userspace access to USB devices
Name:		libusb1
Version:	1.0.9
Release:	3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libusb.wiki.sourceforge.net/Libusb1.0
Source0:	http://downloads.sourceforge.net/libusb/libusb-%{version}.tar.bz2
BuildRequires:	doxygen

%description
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

%package -n %{libname}
Summary:	A library which allows userspace access to USB devices
Group:		System/Libraries
# Package had originally wrong major:
Obsoletes:	%{_lib}usb1 < 1.0.3-2

%description -n %{libname}
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

%package -n %{devellibname}
Summary:	Development files for libusb
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libusb1-devel = %{version}-%{release}
Provides:	usb1-devel = %{version}-%{release}
Provides:	usb%{api}-devel = %{version}-%{release}
# Package had originally wrong api in name:
Obsoletes:	%{_lib}usb1-devel < 1.0.3-2

%description -n %{devellibname}
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb-1.0.

%package -n %{sdevellibname}
Summary:	Static development files for libusb
Group:		Development/C
Requires:	%{devellibname} = %{version}-%{release}
Provides:	usb1-static-devel = %{version}-%{release}
Provides:	usb%{api}-static-devel = %{version}-%{release}
# Package had originally wrong api in name:
Obsoletes:	%{_lib}usb1-static-devel < 1.0.3-2

%description -n %{sdevellibname}
This package contains static libraries to develop applications that use
libusb-1.0.

%prep
%setup -q -n libusb-%{version}

%build
# libusb-compat is in /lib and uses libusb1
%configure2_5x --libdir=/%{_lib}
%make
pushd doc
make docs
popd

%install
%makeinstall_std

# static library is not needed in /lib
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/%{_lib}/libusb-%{api}.a %{buildroot}%{_libdir}
# add a symlink just in case libtool expects it to be there due to it
# being referenced in the .la file
ln -s %{_libdir}/libusb-%{api}.a %{buildroot}/%{_lib}/libusb-%{api}.a
# move .pc file back
mv %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}

%files -n %{libname}
%doc AUTHORS COPYING README NEWS ChangeLog
/%{_lib}/libusb*-%{api}.so.%{major}*

%files -n %{devellibname}
%doc doc/html examples/*.c
%{_libdir}/pkgconfig/libusb-%{api}.pc
%{_includedir}/libusb-%{api}
/%{_lib}/libusb-%{api}.so

%files -n %{sdevellibname}
/%{_lib}/libusb-%{api}.*a
%{_libdir}/libusb-%{api}.a


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0.9-3
+ Revision: 5339945
- MassBuild#440: Increase release tag


